SMAKE3(3)

SYNOPSIS
SUBROUTINE SMAKE3 (TYPE, UPLO, DIAG, M, N, A, NMAX, AA, LDA, $ RESET, TRANSL)

NAME
smake3 - Generate values for an M by N matrix A.

LIBRARY
SLATEC (BLAS)

AUTHOR
Dongarra, J. J., (ANL) Duff, I., (AERE) Du Croz, J., (NAG) Hammarling, S., (NAG)

DESCRIPTION
Generates values for an M by N matrix A within the bandwidth defined by KL and KU. Stores the values in the array AA in the data structure required by the routine, with unwanted elements set to rogue value. TYPE is 'GE', 'SY' or 'TR'. Auxiliary routine for test program for Level 3 Blas.

REFERENCES
(NONE)

ROUTINES CALLED
SBEG

REVISION HISTORY (YYMMDD)
890208 DATE WRITTEN
910620 Modified to meet SLATEC code and prologue standards. (BKS)